package com.ruoyi.ibs.list.domain;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @author he
 * @date 2025-03-03 22:48
 */
@Data
public class RelationPath {
  private List<String> memberChain = new ArrayList<>();
  private List<String> titleChain = new ArrayList<>();

  private String titleFinal;


  public void addStep(String memberId, String title) {
    memberChain.add(memberId);
    titleChain.add(title);
  }

  // Getters
}
